<?php

###############################################################################
# lang.php
# This is the English language page for the Geeklog Contact Plug-in!
#
# Copyright (C) 2002 Tom Willett
# tomw@pigstye.net
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
###############################################################################

###############################################################################
# Array Format: 
# $LANGXX[YY]:	$LANG - variable name
#		  	XX - file id number
#			YY - phrase id number
###############################################################################

/**
* General language
*/

$LANG_CT00 = array (
	'stats'		=> 'Kontakte (views)',
	'save' 		=> 'Speichern',
	'cancel' 	=> 'Abbrechen',
	'people' 	=> 'Personen',
	'person'	=> 'Person',
	'companies' 	=> 'Firmen',
	'company'	=> 'Firma',
	'contact' 	=> 'Kontakt',
	'contacts' 	=> 'Kontakte',
	'bademail'	=> 'Falsches Email Format'
);

/**
* Database Field name defaults
*/

$LANG_CT01 = array (
	'salutation' 	=> 'Anrede',
	'fname' 		=> 'Vorname',
	'mname' 		=> '2. Vorname',
	'lname' 		=> 'Nachname',
	'name' 		=> 'Name',
	'title' 		=> 'Titel',
	'address1' 	=> 'Adresse',
	'address2' 	=> 'Adresse',
	'city' 		=> 'Stadt',
	'state' 		=> 'Bundesland',
	'postalcode' 	=> 'Postleitzahl',
	'country' 	=> 'Land',
	'phone1' 		=> 'Telefonnummer 1',
	'phone2' 		=> 'Telefonnummer 2',
	'fax' 		=> 'Fax',
	'email1' 		=> 'Email1',
	'email2' 		=> 'Email2',
	'url1' 		=> 'URL1',
	'url2' 		=> 'URL2',
	'date1' 		=> 'Datum 1',
	'date2' 		=> 'Datum 2',
	'user1' 		=> 'Benutzerdefiniert 1',
	'user2' 		=> 'Benutzerdefiniert 2',
	'notes'		=> 'Notizen'
);

/**
* Install Screen Language
*/
$LANG_CT02 = array (
	'phone1' 	=> 'Private Telefonnummer',
    	'phone2' 	=> 'Firmen Telefonummer',
	'email1' 	=> 'Private Email',
	'email2' 	=> 'Firmen Email',
	'url1' 		=> 'Private URL',
	'url2' 		=> 'Firmen URL',
	'date1' 	=> 'Geburtsdatum',
	'date2' 	=> 'Jahrestag',
	'user1' 	=> 'Benutzerdefiniert 1',
	'user2' 	=> 'Benutzerdefiniert 2',
	'cphone1' 	=> 'Haupt Telefonnummer',
    	'cphone2' 	=> 'Mobil Telefonnummer',
	'cemail1' 	=> 'Haupt Email',
	'cemail2' 	=> 'Anderes Email',
	'curl1' 	=> 'Firmen URL',
	'curl2' 	=> 'Privat URL',
	'cdate1' 	=> 'Beginn Datum',
	'cdate2' 	=> 'End Datum',
	'cuser1' 	=> 'Benutzerdefiniert 1',
	'cuser2' 	=> 'Benutzerdefiniert 2',
  	'access_denied'		=> 'Zugriff Verboten',
   	'access_denied_msg'	=> 'Sie haben unberechtigterweise versucht die Kontakt Administration aufzurufen! Merken Sie bitte, da alle Versuche auf diese Seite illegal zuzugreifen aufgezeichnet werden.',
	'install_header'	=> 'Installiere Kontakt Plug-in',
   	'installation_complete' => 'Installation Vollstndig',
   	'installation_complete_msg' => 'Alle Datenstrukturen fr das Geeklog Kontakt plug-in sind erfolgreich in Ihrer Datenbank installiert worden!  Fr Instruktionen um das Kontakt Plug-in wieder zu entfernen, bitte lesen Sie bei der Erst-Installation mitgelieferte README Dokument.',
   	'installation_failed' => 'Installation Fehlgeschlagen',
   	'installation_failed_msg' => 'Die Installation von Kontakt ist fehlgeschlagen. Bitte analysieren Sie die Geeklog error.log Datei fr weitere Diagnose.',
   	'uninstall_complete' => 'Entfernen abgeschlossen',
   	'uninstall_complete_msg' => 'Alle Datenstrukturen fr das Geeklog Kontakt plug-in sind erfolgreich aus Ihrer Geeklog Datenbank entfernt worden.',
    'uninstall_complete_msg2' => 'Bitte lesen Sie die README Datei fr vollstndige for complete uninstall instructions.',
   	'uninstall_failed' => 'Uninstall Failed',
   	'uninstall_failed_msg' => 'Das Entfernen des Kontakt Plug-ins ist fehlgeschlagen. Analysieren Sie bitte Ihre Geeklog error.log Datei fr weitere Diagnoseinformationen.',
	'notinstalled' => 'Kontakt Plug-in ist nicht installiert.',
	'notinstalled_msg' => 'Bettigen Sie Taste, um Kontakt Plug-in zu installieren.',
	'install' 	=> 'Installieren',
	'uninstall' 	=> 'Entfernen',
	'installed' 	=> 'Kontakt Plug-in ist installiert.',
	'installed_msg' => 'Bettigen Sie Taste um Kontact Plug-in zu entfernen.',
	'installed_msg2' => '<< Achtung! >> Dieser Vorgang lscht alle Ihre Kontakt Plug-in Daten.'
);

/**
* Admin Screen Language
*/

$LANG_CT03 = array (
	'reindex'	=> 'Re-indiziere Kontakt Datenbank',
	'anon_msg'	=> 'Erlaube nicht registierte Benutzer Kontakte anzuzeigen?',
	'addedit'	=> 'Kontakt hinzufgen',
	'admin_home'	=> 'Administrator Home',
	'uninstall' 	=> 'Entfernen',
	'admin_header'	=> 'Kontakt Plug-in Einstellungen',
   	'admin_msg1' 	=> 'Beide Personen und Firmen Formulare haben 10 Benutzer-definierbare Felder.',
	'admin_msg2' 	=> 'Sie knnen die Bezeichnung dieser Felder hier ndern. Merken Sie bitte, da Telefon-Kontakt Felder Telefonnummer, Datumsfelder Datum, usw. erwarten. Diese sind nicht freie Formfelder.'
);

/**
* User Screen Language
*/

$LANG_CT04 = array (
	'wide'		=> 'Erweiterte Ansicht',
	'edit_msg'	=> 'Kontakt Hinzufgen',
	'view_msg'	=> 'Zeige Kontakte',
	'header' 	=> 'Kontakt Plug-in Benutzer Einstellungen',
	'perpage' => 'Kontakte per Seite ',
	'compact' => 'Kompakt',
	'full' 	=> 'Alles',
	'c_head'	=> 'Zeige Spalten'
);

/**
* Edit Contact Language
*/

$LANG_CT05 = array (
	'edit_contact'	=> 'Bearbeite Kontakte',
	'save'			=> 'Speichern',
	'cancel'		=> 'Abbrechen',
	'add_person'	=> 'Person hinzufgen',
	'add_company'	=> 'Firma',
	'delete'		=> 'Lschen',
	'view'			=> 'Kontakte anzeigen'
);

/**
* Index Language
*/

$LANG_CT06 = array (
	'created'	=> 'Created',
	'views'		=> 'Views',
	'deleter'	=> 'Lsche Verknpfung',
	'mcompany'	=> 'Firma',
	'ocompany'	=> 'Firma',
	'mperson'	=> 'Kontaktperson',
	'operson'	=> 'Kontaktperson',
	'options'	=> 'Einstellungen',
	'edit'		=> 'Bearbeiten',
	'view'		=> 'Anzeigen',
	'add_contact' => 'Kontakt hinzufgen',
	'edit_contact' => 'Kontakt bearbeiten'
);



?>
