<?php

//
// +---------------------------------------------------------------------------+
// | Contact Geeklog Plugin 1.1                                                |
// +---------------------------------------------------------------------------+
// | print.php                                                                 |
// | This is the printable contact page for the Geeklog Contact Plugin         |
// |                                                                           |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2002 by the following authors:                              |
// |                                                                           |
// | Authors: Tom Willett           -  tomw@pigstye.net                        |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//

require_once('../lib-common.php');


if (empty($_USER['uid'])) {
	$_USER['uid']=1;
	$_USER['username']='Anonymous';
}

// Only let users with view rights access this page
if ((!SEC_hasRights('contact.view')) && ($_CONTACT_CONF['contact_anon'] != '1')) {
    // Someone is trying to illegally access this page
    COM_errorLog("Someone has tried to illegally access the Contacts page.  User id: {$_USER['uid']}, Username: {$_USER['username']}, IP: $REMOTE_ADDR",1);
	print COM_refresh($_CONF['site_url'] . '/index.php');
    exit;
}

$template = "print.thtml";
$T = new Template($_CONF['path'] . 'plugins/contact/templates/');  
$T->set_file('index',$template);  
$T->set_block('index','Rel','ABlock');
if ($c_type ==  1) { 
	$RECS = DB_query("Select * from ct_person where (c_id = '{$c_id}') AND " . CT_getPerms());
} else {
	$RECS = DB_query("Select * from ct_company where (c_id = '{$c_id}') AND " . CT_getPerms());
}
$nrows = DB_numRows($RECS);
if ($nrows > 0) {
	$A = DB_fetchArray($RECS);
	if ($A['c_id'] != 1) {
		if ($c_type == 1) {
			$name = $A['fname'] . " " . $A['mname'];
			if ($A['mname'] != '') { $name .= " "; }
			$name .= $A['lname'];
			$T->set_var('name',$name);
			$LANG = CT_getPFields();
		} else {
			$LANG = CT_getCFields();
		}
		$T->set_var('cityState',$A['city'] . ", " . $A['state'] . "  " . $A['postalcode']);
		if ($A['address2'] != '') { $T-set_var('br1','<br>'); }
		foreach($A as $akey => $avalue) {
			$T->set_var("$akey",stripslashes($avalue));
		}
		foreach($LANG as $akey => $avalue) {
			if ($A["$akey"] != '') { $T->set_var("{$akey}_label","$avalue"); }
		}
	}
}
// now show related companies and people
if ($c_type == 2) {
	$RECS = DB_query("SELECT ct_person.* from ct_person, ct_index  where (ct_person.c_id = ct_index.p_id) AND (ct_index.c_id = $c_id) and " . CT_getPerms());
} else {
	$RECS = DB_query("SELECT ct_company.* from ct_company, ct_index  where (ct_company.c_id = ct_index.c_id) AND (ct_index.p_id = $c_id) AND " . CT_getPerms());
}
$numrows = DB_numRows($RECS);
for ($i=0; $i < $numrows; $i++) {
	$B = DB_fetchArray($RECS);
	if ($B['c_id'] != '1') {
		if ($c_type == 1) {
            if ($B['c_id'] == $A['co_id']) {
	            $T->set_var('company_label',$LANG_CT06['mcompany']);
            } else {
                $T->set_var('company_label',$LANG_CT06['ocompany']);
            }
			$LANG = CT_getCFields();
		} else {
			if ($B['c_id'] == $A['p_id']) {
				$T->set_var('company_label',$LANG_CT06['mperson']);
			} else {
				$T->set_var('company_label',$LANG_CT06['operson']);
			}
     		$name = $B['fname'] . " " . $B['mname'];
			if ($B['mname'] != '') { $name .= " "; }
			$name .= $B['lname'];
			$T->set_var('cname',$name);
			$LANG = CT_getPFields();
		}
		$T->set_var('ccitystate',$B['city'] . ", " . $B['state'] . "  " . $B['postalcode']);
		if ($B['address2'] != '') { $T-set_var('br2','<br>'); }
		foreach($B as $akey => $avalue) {
			$T->set_var("c{$akey}",stripslashes($avalue));
		}
		foreach($LANG as $akey => $avalue) {
			if ($B["$akey"] != "") { $T->set_var("c{$akey}_label","$avalue"); }
		}
	    $T->Parse('ABlock','Rel',true);
	}
}
$T->parse('output','index');  
$retval .= $T->finish($T->get_var('output'));  
echo $retval;

?>