<?php

###############################################################################
# Geeklog Contact Plugin 1.0
# config.php
# These are the configuration variables for the Geeklog Contact Plug-in!
#
# Copyright (C) 2002 Tom Willett
# tomw@pigstye.net
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
###############################################################################

$_CONTACT_CONF['version'] = '1.0';

/*
* View defaults -- these will be the settings for users that do not have access to 
* personalization.
*
*/

$_CONTACT_CONF['perpage'] = '26';	//contacts per page
$_CONTACT_CONF['viewfields'] = "fname,lname,city,state,phone1,cname,cstate";	// fields for wide view
$_CONTACT_CONF['view'] = '0';	// default view 1 = full 0 = compact
$_CONTACT_CONF['search'] = '1';  // Set to '1' to use integrated search '0' to not

/**
* Personalization bits for users -- person data
*
* These are the fields that will be displayed for the person record
* You can add fields to the database and use them.
*
*/


$_CT_PERSON = array (
	"salutation",
	"fname",
	"mname",
	"lname",
	"title",
	"address1",
	"address2",
	"city",
	"state",
	"postalcode",
	"country",
	"phone1",
	"phone2",
	"fax",
	"email1",
	"email2",
	"url1",
	"url2",
	"date1",
	"date2",
	"user1",
	"user2"
);

/**
* Personalization bits for users -- company data
*
* See notes for person array above
*/


$_CT_COMPANY = array (
	"name",
	"address1",
	"address2",
	"city",
	"state",
	"postalcode",
	"country",
	"phone1",
	"phone2",
	"fax",
	"email1",
	"email2",
	"url1",
	"url2",
	"date1",
	"date2",
	"user1",
	"user2"
);

?>